I agree hence why we are rebuilding 2.2.20 using non-bundled apr 1.4.5

Hopefully this will resume its predictable behaviour though  - however i the main reason for usign 1.3.12 was to solve the segmentation faults i was  getting

Using an external APR might greatly help



On 31/08/11 15:43, Reindl Harald wrote:
Am 31.08.2011 16:29, schrieb kwenu:
Still the same - im using crs_2.2.2 as directed by Ryan

Ever since i recompiled against apache 2.2.19 ive had major problems with segmentation faults and now rules are
behaving differently after compiling against apr v 1.3.12 and pcre v 8.x
do you not think your APR is a little bit old?
ModSecurity: APR compiled version="1.4.5"; loaded version="1.4.5"


------------------------------------------------------------------------------ Special Offer -- Download ArcSight Logger for FREE! Finally, a world-class log management solution at an even better price-free! And you'll get a free "Love Thy Logs" t-shirt when you download Logger. Secure your free ArcSight Logger TODAY! http://p.sf.net/sfu/arcsisghtdev2dev
_______________________________________________ mod-security-users mailing list mod-security-users@lists.sourceforge.net https://lists.sourceforge.net/lists/listinfo/mod-security-users ModSecurity Services from Trustwave's SpiderLabs: https://www.trustwave.com/application-security.php